Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network163.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
163.0.0.0
Broadcast address
163.255.255.255
First usable
163.0.0.1
Last usable
163.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex A3000000 · Integer 2734686208 to 2751463423
Reverse DNS zone
163.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100011..00000000.00000000.00000000163.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10100011..00000000.00000000.00000000163.0.0.0
Broadcast10100011..11111111.11111111.11111111163.255.255.255
Split into smaller subnets/17

163.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1163.0.0.0/17163.0.0.1 to 163.0.127.254163.0.127.25532,766
2163.0.128.0/17163.0.128.1 to 163.0.255.254163.0.255.25532,766
3163.1.0.0/17163.1.0.1 to 163.1.127.254163.1.127.25532,766
4163.1.128.0/17163.1.128.1 to 163.1.255.254163.1.255.25532,766
5163.2.0.0/17163.2.0.1 to 163.2.127.254163.2.127.25532,766
6163.2.128.0/17163.2.128.1 to 163.2.255.254163.2.255.25532,766
7163.3.0.0/17163.3.0.1 to 163.3.127.254163.3.127.25532,766
8163.3.128.0/17163.3.128.1 to 163.3.255.254163.3.255.25532,766
9163.4.0.0/17163.4.0.1 to 163.4.127.254163.4.127.25532,766
10163.4.128.0/17163.4.128.1 to 163.4.255.254163.4.255.25532,766
11163.5.0.0/17163.5.0.1 to 163.5.127.254163.5.127.25532,766
12163.5.128.0/17163.5.128.1 to 163.5.255.254163.5.255.25532,766
13163.6.0.0/17163.6.0.1 to 163.6.127.254163.6.127.25532,766
14163.6.128.0/17163.6.128.1 to 163.6.255.254163.6.255.25532,766
15163.7.0.0/17163.7.0.1 to 163.7.127.254163.7.127.25532,766
16163.7.128.0/17163.7.128.1 to 163.7.255.254163.7.255.25532,766
17163.8.0.0/17163.8.0.1 to 163.8.127.254163.8.127.25532,766
18163.8.128.0/17163.8.128.1 to 163.8.255.254163.8.255.25532,766
19163.9.0.0/17163.9.0.1 to 163.9.127.254163.9.127.25532,766
20163.9.128.0/17163.9.128.1 to 163.9.255.254163.9.255.25532,766
21163.10.0.0/17163.10.0.1 to 163.10.127.254163.10.127.25532,766
22163.10.128.0/17163.10.128.1 to 163.10.255.254163.10.255.25532,766
23163.11.0.0/17163.11.0.1 to 163.11.127.254163.11.127.25532,766
24163.11.128.0/17163.11.128.1 to 163.11.255.254163.11.255.25532,766
25163.12.0.0/17163.12.0.1 to 163.12.127.254163.12.127.25532,766
26163.12.128.0/17163.12.128.1 to 163.12.255.254163.12.255.25532,766
27163.13.0.0/17163.13.0.1 to 163.13.127.254163.13.127.25532,766
28163.13.128.0/17163.13.128.1 to 163.13.255.254163.13.255.25532,766
29163.14.0.0/17163.14.0.1 to 163.14.127.254163.14.127.25532,766
30163.14.128.0/17163.14.128.1 to 163.14.255.254163.14.255.25532,766
31163.15.0.0/17163.15.0.1 to 163.15.127.254163.15.127.25532,766
32163.15.128.0/17163.15.128.1 to 163.15.255.254163.15.255.25532,766
33163.16.0.0/17163.16.0.1 to 163.16.127.254163.16.127.25532,766
34163.16.128.0/17163.16.128.1 to 163.16.255.254163.16.255.25532,766
35163.17.0.0/17163.17.0.1 to 163.17.127.254163.17.127.25532,766
36163.17.128.0/17163.17.128.1 to 163.17.255.254163.17.255.25532,766
37163.18.0.0/17163.18.0.1 to 163.18.127.254163.18.127.25532,766
38163.18.128.0/17163.18.128.1 to 163.18.255.254163.18.255.25532,766
39163.19.0.0/17163.19.0.1 to 163.19.127.254163.19.127.25532,766
40163.19.128.0/17163.19.128.1 to 163.19.255.254163.19.255.25532,766
41163.20.0.0/17163.20.0.1 to 163.20.127.254163.20.127.25532,766
42163.20.128.0/17163.20.128.1 to 163.20.255.254163.20.255.25532,766
43163.21.0.0/17163.21.0.1 to 163.21.127.254163.21.127.25532,766
44163.21.128.0/17163.21.128.1 to 163.21.255.254163.21.255.25532,766
45163.22.0.0/17163.22.0.1 to 163.22.127.254163.22.127.25532,766
46163.22.128.0/17163.22.128.1 to 163.22.255.254163.22.255.25532,766
47163.23.0.0/17163.23.0.1 to 163.23.127.254163.23.127.25532,766
48163.23.128.0/17163.23.128.1 to 163.23.255.254163.23.255.25532,766
49163.24.0.0/17163.24.0.1 to 163.24.127.254163.24.127.25532,766
50163.24.128.0/17163.24.128.1 to 163.24.255.254163.24.255.25532,766
51163.25.0.0/17163.25.0.1 to 163.25.127.254163.25.127.25532,766
52163.25.128.0/17163.25.128.1 to 163.25.255.254163.25.255.25532,766
53163.26.0.0/17163.26.0.1 to 163.26.127.254163.26.127.25532,766
54163.26.128.0/17163.26.128.1 to 163.26.255.254163.26.255.25532,766
55163.27.0.0/17163.27.0.1 to 163.27.127.254163.27.127.25532,766
56163.27.128.0/17163.27.128.1 to 163.27.255.254163.27.255.25532,766
57163.28.0.0/17163.28.0.1 to 163.28.127.254163.28.127.25532,766
58163.28.128.0/17163.28.128.1 to 163.28.255.254163.28.255.25532,766
59163.29.0.0/17163.29.0.1 to 163.29.127.254163.29.127.25532,766
60163.29.128.0/17163.29.128.1 to 163.29.255.254163.29.255.25532,766
61163.30.0.0/17163.30.0.1 to 163.30.127.254163.30.127.25532,766
62163.30.128.0/17163.30.128.1 to 163.30.255.254163.30.255.25532,766
63163.31.0.0/17163.31.0.1 to 163.31.127.254163.31.127.25532,766
64163.31.128.0/17163.31.128.1 to 163.31.255.254163.31.255.25532,766
65163.32.0.0/17163.32.0.1 to 163.32.127.254163.32.127.25532,766
66163.32.128.0/17163.32.128.1 to 163.32.255.254163.32.255.25532,766
67163.33.0.0/17163.33.0.1 to 163.33.127.254163.33.127.25532,766
68163.33.128.0/17163.33.128.1 to 163.33.255.254163.33.255.25532,766
69163.34.0.0/17163.34.0.1 to 163.34.127.254163.34.127.25532,766
70163.34.128.0/17163.34.128.1 to 163.34.255.254163.34.255.25532,766
71163.35.0.0/17163.35.0.1 to 163.35.127.254163.35.127.25532,766
72163.35.128.0/17163.35.128.1 to 163.35.255.254163.35.255.25532,766
73163.36.0.0/17163.36.0.1 to 163.36.127.254163.36.127.25532,766
74163.36.128.0/17163.36.128.1 to 163.36.255.254163.36.255.25532,766
75163.37.0.0/17163.37.0.1 to 163.37.127.254163.37.127.25532,766
76163.37.128.0/17163.37.128.1 to 163.37.255.254163.37.255.25532,766
77163.38.0.0/17163.38.0.1 to 163.38.127.254163.38.127.25532,766
78163.38.128.0/17163.38.128.1 to 163.38.255.254163.38.255.25532,766
79163.39.0.0/17163.39.0.1 to 163.39.127.254163.39.127.25532,766
80163.39.128.0/17163.39.128.1 to 163.39.255.254163.39.255.25532,766
81163.40.0.0/17163.40.0.1 to 163.40.127.254163.40.127.25532,766
82163.40.128.0/17163.40.128.1 to 163.40.255.254163.40.255.25532,766
83163.41.0.0/17163.41.0.1 to 163.41.127.254163.41.127.25532,766
84163.41.128.0/17163.41.128.1 to 163.41.255.254163.41.255.25532,766
85163.42.0.0/17163.42.0.1 to 163.42.127.254163.42.127.25532,766
86163.42.128.0/17163.42.128.1 to 163.42.255.254163.42.255.25532,766
87163.43.0.0/17163.43.0.1 to 163.43.127.254163.43.127.25532,766
88163.43.128.0/17163.43.128.1 to 163.43.255.254163.43.255.25532,766
89163.44.0.0/17163.44.0.1 to 163.44.127.254163.44.127.25532,766
90163.44.128.0/17163.44.128.1 to 163.44.255.254163.44.255.25532,766
91163.45.0.0/17163.45.0.1 to 163.45.127.254163.45.127.25532,766
92163.45.128.0/17163.45.128.1 to 163.45.255.254163.45.255.25532,766
93163.46.0.0/17163.46.0.1 to 163.46.127.254163.46.127.25532,766
94163.46.128.0/17163.46.128.1 to 163.46.255.254163.46.255.25532,766
95163.47.0.0/17163.47.0.1 to 163.47.127.254163.47.127.25532,766
96163.47.128.0/17163.47.128.1 to 163.47.255.254163.47.255.25532,766
97163.48.0.0/17163.48.0.1 to 163.48.127.254163.48.127.25532,766
98163.48.128.0/17163.48.128.1 to 163.48.255.254163.48.255.25532,766
99163.49.0.0/17163.49.0.1 to 163.49.127.254163.49.127.25532,766
100163.49.128.0/17163.49.128.1 to 163.49.255.254163.49.255.25532,766
101163.50.0.0/17163.50.0.1 to 163.50.127.254163.50.127.25532,766
102163.50.128.0/17163.50.128.1 to 163.50.255.254163.50.255.25532,766
103163.51.0.0/17163.51.0.1 to 163.51.127.254163.51.127.25532,766
104163.51.128.0/17163.51.128.1 to 163.51.255.254163.51.255.25532,766
105163.52.0.0/17163.52.0.1 to 163.52.127.254163.52.127.25532,766
106163.52.128.0/17163.52.128.1 to 163.52.255.254163.52.255.25532,766
107163.53.0.0/17163.53.0.1 to 163.53.127.254163.53.127.25532,766
108163.53.128.0/17163.53.128.1 to 163.53.255.254163.53.255.25532,766
109163.54.0.0/17163.54.0.1 to 163.54.127.254163.54.127.25532,766
110163.54.128.0/17163.54.128.1 to 163.54.255.254163.54.255.25532,766
111163.55.0.0/17163.55.0.1 to 163.55.127.254163.55.127.25532,766
112163.55.128.0/17163.55.128.1 to 163.55.255.254163.55.255.25532,766
113163.56.0.0/17163.56.0.1 to 163.56.127.254163.56.127.25532,766
114163.56.128.0/17163.56.128.1 to 163.56.255.254163.56.255.25532,766
115163.57.0.0/17163.57.0.1 to 163.57.127.254163.57.127.25532,766
116163.57.128.0/17163.57.128.1 to 163.57.255.254163.57.255.25532,766
117163.58.0.0/17163.58.0.1 to 163.58.127.254163.58.127.25532,766
118163.58.128.0/17163.58.128.1 to 163.58.255.254163.58.255.25532,766
119163.59.0.0/17163.59.0.1 to 163.59.127.254163.59.127.25532,766
120163.59.128.0/17163.59.128.1 to 163.59.255.254163.59.255.25532,766
121163.60.0.0/17163.60.0.1 to 163.60.127.254163.60.127.25532,766
122163.60.128.0/17163.60.128.1 to 163.60.255.254163.60.255.25532,766
123163.61.0.0/17163.61.0.1 to 163.61.127.254163.61.127.25532,766
124163.61.128.0/17163.61.128.1 to 163.61.255.254163.61.255.25532,766
125163.62.0.0/17163.62.0.1 to 163.62.127.254163.62.127.25532,766
126163.62.128.0/17163.62.128.1 to 163.62.255.254163.62.255.25532,766
127163.63.0.0/17163.63.0.1 to 163.63.127.254163.63.127.25532,766
128163.63.128.0/17163.63.128.1 to 163.63.255.254163.63.255.25532,766
129163.64.0.0/17163.64.0.1 to 163.64.127.254163.64.127.25532,766
130163.64.128.0/17163.64.128.1 to 163.64.255.254163.64.255.25532,766
131163.65.0.0/17163.65.0.1 to 163.65.127.254163.65.127.25532,766
132163.65.128.0/17163.65.128.1 to 163.65.255.254163.65.255.25532,766
133163.66.0.0/17163.66.0.1 to 163.66.127.254163.66.127.25532,766
134163.66.128.0/17163.66.128.1 to 163.66.255.254163.66.255.25532,766
135163.67.0.0/17163.67.0.1 to 163.67.127.254163.67.127.25532,766
136163.67.128.0/17163.67.128.1 to 163.67.255.254163.67.255.25532,766
137163.68.0.0/17163.68.0.1 to 163.68.127.254163.68.127.25532,766
138163.68.128.0/17163.68.128.1 to 163.68.255.254163.68.255.25532,766
139163.69.0.0/17163.69.0.1 to 163.69.127.254163.69.127.25532,766
140163.69.128.0/17163.69.128.1 to 163.69.255.254163.69.255.25532,766
141163.70.0.0/17163.70.0.1 to 163.70.127.254163.70.127.25532,766
142163.70.128.0/17163.70.128.1 to 163.70.255.254163.70.255.25532,766
143163.71.0.0/17163.71.0.1 to 163.71.127.254163.71.127.25532,766
144163.71.128.0/17163.71.128.1 to 163.71.255.254163.71.255.25532,766
145163.72.0.0/17163.72.0.1 to 163.72.127.254163.72.127.25532,766
146163.72.128.0/17163.72.128.1 to 163.72.255.254163.72.255.25532,766
147163.73.0.0/17163.73.0.1 to 163.73.127.254163.73.127.25532,766
148163.73.128.0/17163.73.128.1 to 163.73.255.254163.73.255.25532,766
149163.74.0.0/17163.74.0.1 to 163.74.127.254163.74.127.25532,766
150163.74.128.0/17163.74.128.1 to 163.74.255.254163.74.255.25532,766
151163.75.0.0/17163.75.0.1 to 163.75.127.254163.75.127.25532,766
152163.75.128.0/17163.75.128.1 to 163.75.255.254163.75.255.25532,766
153163.76.0.0/17163.76.0.1 to 163.76.127.254163.76.127.25532,766
154163.76.128.0/17163.76.128.1 to 163.76.255.254163.76.255.25532,766
155163.77.0.0/17163.77.0.1 to 163.77.127.254163.77.127.25532,766
156163.77.128.0/17163.77.128.1 to 163.77.255.254163.77.255.25532,766
157163.78.0.0/17163.78.0.1 to 163.78.127.254163.78.127.25532,766
158163.78.128.0/17163.78.128.1 to 163.78.255.254163.78.255.25532,766
159163.79.0.0/17163.79.0.1 to 163.79.127.254163.79.127.25532,766
160163.79.128.0/17163.79.128.1 to 163.79.255.254163.79.255.25532,766
161163.80.0.0/17163.80.0.1 to 163.80.127.254163.80.127.25532,766
162163.80.128.0/17163.80.128.1 to 163.80.255.254163.80.255.25532,766
163163.81.0.0/17163.81.0.1 to 163.81.127.254163.81.127.25532,766
164163.81.128.0/17163.81.128.1 to 163.81.255.254163.81.255.25532,766
165163.82.0.0/17163.82.0.1 to 163.82.127.254163.82.127.25532,766
166163.82.128.0/17163.82.128.1 to 163.82.255.254163.82.255.25532,766
167163.83.0.0/17163.83.0.1 to 163.83.127.254163.83.127.25532,766
168163.83.128.0/17163.83.128.1 to 163.83.255.254163.83.255.25532,766
169163.84.0.0/17163.84.0.1 to 163.84.127.254163.84.127.25532,766
170163.84.128.0/17163.84.128.1 to 163.84.255.254163.84.255.25532,766
171163.85.0.0/17163.85.0.1 to 163.85.127.254163.85.127.25532,766
172163.85.128.0/17163.85.128.1 to 163.85.255.254163.85.255.25532,766
173163.86.0.0/17163.86.0.1 to 163.86.127.254163.86.127.25532,766
174163.86.128.0/17163.86.128.1 to 163.86.255.254163.86.255.25532,766
175163.87.0.0/17163.87.0.1 to 163.87.127.254163.87.127.25532,766
176163.87.128.0/17163.87.128.1 to 163.87.255.254163.87.255.25532,766
177163.88.0.0/17163.88.0.1 to 163.88.127.254163.88.127.25532,766
178163.88.128.0/17163.88.128.1 to 163.88.255.254163.88.255.25532,766
179163.89.0.0/17163.89.0.1 to 163.89.127.254163.89.127.25532,766
180163.89.128.0/17163.89.128.1 to 163.89.255.254163.89.255.25532,766
181163.90.0.0/17163.90.0.1 to 163.90.127.254163.90.127.25532,766
182163.90.128.0/17163.90.128.1 to 163.90.255.254163.90.255.25532,766
183163.91.0.0/17163.91.0.1 to 163.91.127.254163.91.127.25532,766
184163.91.128.0/17163.91.128.1 to 163.91.255.254163.91.255.25532,766
185163.92.0.0/17163.92.0.1 to 163.92.127.254163.92.127.25532,766
186163.92.128.0/17163.92.128.1 to 163.92.255.254163.92.255.25532,766
187163.93.0.0/17163.93.0.1 to 163.93.127.254163.93.127.25532,766
188163.93.128.0/17163.93.128.1 to 163.93.255.254163.93.255.25532,766
189163.94.0.0/17163.94.0.1 to 163.94.127.254163.94.127.25532,766
190163.94.128.0/17163.94.128.1 to 163.94.255.254163.94.255.25532,766
191163.95.0.0/17163.95.0.1 to 163.95.127.254163.95.127.25532,766
192163.95.128.0/17163.95.128.1 to 163.95.255.254163.95.255.25532,766
193163.96.0.0/17163.96.0.1 to 163.96.127.254163.96.127.25532,766
194163.96.128.0/17163.96.128.1 to 163.96.255.254163.96.255.25532,766
195163.97.0.0/17163.97.0.1 to 163.97.127.254163.97.127.25532,766
196163.97.128.0/17163.97.128.1 to 163.97.255.254163.97.255.25532,766
197163.98.0.0/17163.98.0.1 to 163.98.127.254163.98.127.25532,766
198163.98.128.0/17163.98.128.1 to 163.98.255.254163.98.255.25532,766
199163.99.0.0/17163.99.0.1 to 163.99.127.254163.99.127.25532,766
200163.99.128.0/17163.99.128.1 to 163.99.255.254163.99.255.25532,766
201163.100.0.0/17163.100.0.1 to 163.100.127.254163.100.127.25532,766
202163.100.128.0/17163.100.128.1 to 163.100.255.254163.100.255.25532,766
203163.101.0.0/17163.101.0.1 to 163.101.127.254163.101.127.25532,766
204163.101.128.0/17163.101.128.1 to 163.101.255.254163.101.255.25532,766
205163.102.0.0/17163.102.0.1 to 163.102.127.254163.102.127.25532,766
206163.102.128.0/17163.102.128.1 to 163.102.255.254163.102.255.25532,766
207163.103.0.0/17163.103.0.1 to 163.103.127.254163.103.127.25532,766
208163.103.128.0/17163.103.128.1 to 163.103.255.254163.103.255.25532,766
209163.104.0.0/17163.104.0.1 to 163.104.127.254163.104.127.25532,766
210163.104.128.0/17163.104.128.1 to 163.104.255.254163.104.255.25532,766
211163.105.0.0/17163.105.0.1 to 163.105.127.254163.105.127.25532,766
212163.105.128.0/17163.105.128.1 to 163.105.255.254163.105.255.25532,766
213163.106.0.0/17163.106.0.1 to 163.106.127.254163.106.127.25532,766
214163.106.128.0/17163.106.128.1 to 163.106.255.254163.106.255.25532,766
215163.107.0.0/17163.107.0.1 to 163.107.127.254163.107.127.25532,766
216163.107.128.0/17163.107.128.1 to 163.107.255.254163.107.255.25532,766
217163.108.0.0/17163.108.0.1 to 163.108.127.254163.108.127.25532,766
218163.108.128.0/17163.108.128.1 to 163.108.255.254163.108.255.25532,766
219163.109.0.0/17163.109.0.1 to 163.109.127.254163.109.127.25532,766
220163.109.128.0/17163.109.128.1 to 163.109.255.254163.109.255.25532,766
221163.110.0.0/17163.110.0.1 to 163.110.127.254163.110.127.25532,766
222163.110.128.0/17163.110.128.1 to 163.110.255.254163.110.255.25532,766
223163.111.0.0/17163.111.0.1 to 163.111.127.254163.111.127.25532,766
224163.111.128.0/17163.111.128.1 to 163.111.255.254163.111.255.25532,766
225163.112.0.0/17163.112.0.1 to 163.112.127.254163.112.127.25532,766
226163.112.128.0/17163.112.128.1 to 163.112.255.254163.112.255.25532,766
227163.113.0.0/17163.113.0.1 to 163.113.127.254163.113.127.25532,766
228163.113.128.0/17163.113.128.1 to 163.113.255.254163.113.255.25532,766
229163.114.0.0/17163.114.0.1 to 163.114.127.254163.114.127.25532,766
230163.114.128.0/17163.114.128.1 to 163.114.255.254163.114.255.25532,766
231163.115.0.0/17163.115.0.1 to 163.115.127.254163.115.127.25532,766
232163.115.128.0/17163.115.128.1 to 163.115.255.254163.115.255.25532,766
233163.116.0.0/17163.116.0.1 to 163.116.127.254163.116.127.25532,766
234163.116.128.0/17163.116.128.1 to 163.116.255.254163.116.255.25532,766
235163.117.0.0/17163.117.0.1 to 163.117.127.254163.117.127.25532,766
236163.117.128.0/17163.117.128.1 to 163.117.255.254163.117.255.25532,766
237163.118.0.0/17163.118.0.1 to 163.118.127.254163.118.127.25532,766
238163.118.128.0/17163.118.128.1 to 163.118.255.254163.118.255.25532,766
239163.119.0.0/17163.119.0.1 to 163.119.127.254163.119.127.25532,766
240163.119.128.0/17163.119.128.1 to 163.119.255.254163.119.255.25532,766
241163.120.0.0/17163.120.0.1 to 163.120.127.254163.120.127.25532,766
242163.120.128.0/17163.120.128.1 to 163.120.255.254163.120.255.25532,766
243163.121.0.0/17163.121.0.1 to 163.121.127.254163.121.127.25532,766
244163.121.128.0/17163.121.128.1 to 163.121.255.254163.121.255.25532,766
245163.122.0.0/17163.122.0.1 to 163.122.127.254163.122.127.25532,766
246163.122.128.0/17163.122.128.1 to 163.122.255.254163.122.255.25532,766
247163.123.0.0/17163.123.0.1 to 163.123.127.254163.123.127.25532,766
248163.123.128.0/17163.123.128.1 to 163.123.255.254163.123.255.25532,766
249163.124.0.0/17163.124.0.1 to 163.124.127.254163.124.127.25532,766
250163.124.128.0/17163.124.128.1 to 163.124.255.254163.124.255.25532,766
251163.125.0.0/17163.125.0.1 to 163.125.127.254163.125.127.25532,766
252163.125.128.0/17163.125.128.1 to 163.125.255.254163.125.255.25532,766
253163.126.0.0/17163.126.0.1 to 163.126.127.254163.126.127.25532,766
254163.126.128.0/17163.126.128.1 to 163.126.255.254163.126.255.25532,766
255163.127.0.0/17163.127.0.1 to 163.127.127.254163.127.127.25532,766
256163.127.128.0/17163.127.128.1 to 163.127.255.254163.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses